### Method

# Vips Image get_blob

#### Declaration [src]

    int
    vips_image_get_blob (
      const VipsImage* image,
      const char* name,
      void** data,
      size_t* length
    )

#### Description [src]

Gets `data` from `image` under the name `name`, optionally returns its length in `length`. Use `vips_image_get_typeof()` to test for the existence of a piece of metadata.

See also

`vips_image_get()`, `vips_image_get_typeof()`, `vips_blob_get()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: An array of `guint8`

  Pointer to area of memory.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`length`

  Type: `size_t*`

  Return the blob length here, optionally.

  The argument will be set by the function.

#### Return value

Type: `int`

0 on success, -1 otherwise.